# VERSION is subbed out during rake srpm process
%global realversion 3.0.2
%global rpmversion 3.0.2

Summary:   An agent that manipulates a specific single chain with iptables and ip6tables
Name:      mcollective-iptables
Version:   %{rpmversion}
Release:   1%{?dist}
Vendor:    %{?_host_vendor}
License:   ASL 2.0
URL:       https://github.com/puppetlabs/mcollective-iptables-agent
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group:     System Tools
Source0:   mcollective-iptables-%{realversion}.tar.gz

%description
An agent that manipulates a specific single chain with iptables and ip6tables

%prep
%setup -q  -n %{name}-%{realversion}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective
cp -a agent application util validator %{buildroot}%{_libexecdir}/mcollective/mcollective

%clean
rm -rf %{buildroot}

%package agent
Requires: mcollective-iptables-common = %{version}-%{release}
Group: System Tools
Summary:   An agent that manipulates a specific single chain with iptables and ip6tables

%package client
Requires: mcollective-iptables-common = %{version}-%{release}
Group: System Tools
Summary:   An agent that manipulates a specific single chain with iptables and ip6tables

%package common
Requires: mcollective-common >= 2.2.1
Group: System Tools
Summary:   An agent that manipulates a specific single chain with iptables and ip6tables

%description agent
An agent that manipulates a specific single chain with iptables and ip6tables

%description client
An agent that manipulates a specific single chain with iptables and ip6tables

%description common
An agent that manipulates a specific single chain with iptables and ip6tables

%files agent
%{_libexecdir}/mcollective/mcollective/agent/*.rb

%files client
%{_libexecdir}/mcollective/mcollective/application/*.rb

%files common
%{_libexecdir}/mcollective/mcollective/agent/*.ddl
%{_libexecdir}/mcollective/mcollective/util/*
%{_libexecdir}/mcollective/mcollective/validator/*

%changelog
* Thu Jun 19 2014 Puppet Labs Release <info@puppetlabs.com> -  3.0.2-1
- Build for 3.0.2
